<?php
/* Autor...:  */
/* Esquema.: ALM_ItemMast.xml */
/* Generado: 2021-05-18 05:19:50 */

/* Metodos de acceso a los campos de la tabla ALM_ItemMast */
abstract class BaseALM_ItemMastBN
{
    /* Campos de la tabla */
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_IdMarca;    // IdMarca: ( no definido )
    private $s_IdItemTipo;    // IdItemTipo: ( no definido )
    private $s_DescripcionIngles;    // DescripcionIngles: ( no definido )
    private $s_DescripcionCompleta;    // DescripcionCompleta: ( no definido )
    private $s_UrlAmigable;    // UrlAmigable: ( no definido )
    private $s_NumeroDeParte;    // NumeroDeParte: ( no definido )
    private $s_CodigoInterno;    // CodigoInterno: ( no definido )
    private $i_IdItemFiscal;    // IdItemFiscal: ( no definido )
    private $s_CodigoSunat;    // CodigoSunat: ( no definido )
    private $s_UnidadCodigo;    // UnidadCodigo: ( no definido )
    private $s_UnidadCompra;    // UnidadCompra: ( no definido )
    private $s_UnidadVenta;    // UnidadVenta: ( no definido )
    private $s_UnidadAlmacenaje;    // UnidadAlmacenaje: ( no definido )
    private $s_UnidadEmbalaje;    // UnidadEmbalaje: ( no definido )
    private $s_ClasificacionComercial;    // ClasificacionComercial: ( no definido )
    private $s_CodigoBarras;    // CodigoBarras: ( no definido )
    private $s_CodigoBarrasFabricante;    // CodigoBarrasFabricante: ( no definido )
    private $s_CodigoBarras2;    // CodigoBarras2: ( no definido )
    private $s_MonedaCodigo;    // MonedaCodigo: ( no definido )
    private $f_PrecioCosto;    // PrecioCosto: ( no definido )
    private $f_PrecioVenta;    // PrecioVenta: ( no definido )
    private $f_UtilidadPorcentaje;    // UtilidadPorcentaje: ( no definido )
    private $f_PrecioUnitarioLocal;    // PrecioUnitarioLocal: ( no definido )
    private $f_PrecioUnitarioDolares;    // PrecioUnitarioDolares: ( no definido )
    private $s_DisponibleVentaFlag;    // DisponibleVentaFlag: ( no definido )
    private $s_ManejoxLoteFlag;    // ManejoxLoteFlag: ( no definido )
    private $s_ManejoxSerieFlag;    // ManejoxSerieFlag: ( no definido )
    private $s_ManejoxUnidadFlag;    // ManejoxUnidadFlag: ( no definido )
    private $s_NoAfectoImpuestoVentasFlag;    // NoAfectoImpuestoVentasFlag: ( no definido )
    private $s_DisponibleTransferenciaFlag;    // DisponibleTransferenciaFlag: ( no definido )
    private $f_StockMinimo;    // StockMinimo: ( no definido )
    private $f_StockMaximo;    // StockMaximo: ( no definido )
    private $s_StockMinFlag;    // StockMinFlag: ( no definido )
    private $i_LotedeVenta;    // LotedeVenta: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_NombreArchivo;    // NombreArchivo: ( no definido )
    private $s_UbicacionURL;    // UbicacionURL: ( no definido )
    private $s_UbicacionFisica;    // UbicacionFisica: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $i_IdLinea;    // IdLinea: ( no definido )
    private $i_IdFamilia;    // IdFamilia: ( no definido )
    private $i_IdSubFamilia;    // IdSubFamilia: ( no definido )
    private $s_IdProcedencia;    // IdProcedencia: ( no definido )
    private $s_TipoGarantiaId;    // TipoGarantiaId: ( no definido )
    private $s_IdTipoOperatividad;    // IdTipoOperatividad: ( no definido )
    private $f_PesoGramos;    // PesoGramos: ( no definido )
    private $s_AfectoPercepcionIGVFlag;    // AfectoPercepcionIGVFlag: ( no definido )
    private $s_AfectoDetraccionFlag;    // AfectoDetraccionFlag: ( no definido )
    private $i_IdDetraccion;    // IdDetraccion: ( no definido )
    private $i_IdPersona;    // IdPersona: ( no definido )
    private $f_CantidadUnidad;    // CantidadUnidad: ( no definido )
    private $f_CantidadUnidadCompra;    // CantidadUnidadCompra: ( no definido )
    private $u_DescripcionLarga;    // DescripcionLarga: ( no definido )
    private $s_EsInventariableFlag;    // EsInventariableFlag: ( no definido )
    private $s_FusionarLoteFlag;    // FusionarLoteFlag: ( no definido )
    private $s_EsServicioConDias;    // EsServicioConDias: ( no definido )
    private $s_UsarDisponibleStock;    // UsarDisponibleStock: ( no definido )
    private $s_UsarResevableStock;    // UsarResevableStock: ( no definido )
    private $s_EsParaVenta;    // EsParaVenta: ( no definido )
    private $i_IdRangoVenta;    // IdRangoVenta: ( no definido )
    private $s_EsParaAlquiler;    // EsParaAlquiler: ( no definido )
    private $i_IdRangoAlquiler;    // IdRangoAlquiler: ( no definido )

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo IdMarca */
    public function setIdMarca( $s_IdMarca )
    {
        $this->s_IdMarca = $s_IdMarca;
    }

    /* Obtiene el valor del campo IdMarca */
    public function getIdMarca()
    {
        return $this->s_IdMarca;
    }

    /* Establece el valor del campo IdItemTipo */
    public function setIdItemTipo( $s_IdItemTipo )
    {
        $this->s_IdItemTipo = $s_IdItemTipo;
    }

    /* Obtiene el valor del campo IdItemTipo */
    public function getIdItemTipo()
    {
        return $this->s_IdItemTipo;
    }

    /* Establece el valor del campo DescripcionIngles */
    public function setDescripcionIngles( $s_DescripcionIngles )
    {
        $this->s_DescripcionIngles = $s_DescripcionIngles;
    }

    /* Obtiene el valor del campo DescripcionIngles */
    public function getDescripcionIngles()
    {
        return $this->s_DescripcionIngles;
    }

    /* Establece el valor del campo DescripcionCompleta */
    public function setDescripcionCompleta( $s_DescripcionCompleta )
    {
        $this->s_DescripcionCompleta = $s_DescripcionCompleta;
    }

    /* Obtiene el valor del campo UrlAmigable */
    public function getUrlAmigable()
    {
        return $this->s_UrlAmigable;
    }
    
    /* Establece el valor del campo UrlAmigable */
    public function setUrlAmigable( $s_UrlAmigable )
    {
        $this->s_UrlAmigable = $s_UrlAmigable;
    }

    /* Obtiene el valor del campo DescripcionCompleta */
    public function getDescripcionCompleta()
    {
        return $this->s_DescripcionCompleta;
    }

    /* Establece el valor del campo NumeroDeParte */
    public function setNumeroDeParte( $s_NumeroDeParte )
    {
        $this->s_NumeroDeParte = $s_NumeroDeParte;
    }

    /* Obtiene el valor del campo NumeroDeParte */
    public function getNumeroDeParte()
    {
        return $this->s_NumeroDeParte;
    }

    /* Establece el valor del campo CodigoInterno */
    public function setCodigoInterno( $s_CodigoInterno )
    {
        $this->s_CodigoInterno = $s_CodigoInterno;
    }

    /* Obtiene el valor del campo CodigoInterno */
    public function getCodigoInterno()
    {
        return $this->s_CodigoInterno;
    }

    /* Establece el valor del campo IdItemFiscal */
    public function setIdItemFiscal( $i_IdItemFiscal )
    {
        $this->i_IdItemFiscal = $i_IdItemFiscal;
    }

    /* Obtiene el valor del campo IdItemFiscal */
    public function getIdItemFiscal()
    {
        return $this->i_IdItemFiscal;
    }

    /* Establece el valor del campo CodigoSunat */
    public function setCodigoSunat( $s_CodigoSunat )
    {
        $this->s_CodigoSunat = $s_CodigoSunat;
    }

    /* Obtiene el valor del campo CodigoSunat */
    public function getCodigoSunat()
    {
        return $this->s_CodigoSunat;
    }

    /* Establece el valor del campo UnidadCodigo */
    public function setUnidadCodigo( $s_UnidadCodigo )
    {
        $this->s_UnidadCodigo = $s_UnidadCodigo;
    }

    /* Obtiene el valor del campo UnidadCodigo */
    public function getUnidadCodigo()
    {
        return $this->s_UnidadCodigo;
    }

    /* Establece el valor del campo UnidadCompra */
    public function setUnidadCompra( $s_UnidadCompra )
    {
        $this->s_UnidadCompra = $s_UnidadCompra;
    }

    /* Obtiene el valor del campo UnidadCompra */
    public function getUnidadCompra()
    {
        return $this->s_UnidadCompra;
    }

    /* Establece el valor del campo UnidadVenta */
    public function setUnidadVenta( $s_UnidadVenta )
    {
        $this->s_UnidadVenta = $s_UnidadVenta;
    }

    /* Obtiene el valor del campo UnidadVenta */
    public function getUnidadVenta()
    {
        return $this->s_UnidadVenta;
    }

    /* Establece el valor del campo UnidadAlmacenaje */
    public function setUnidadAlmacenaje( $s_UnidadAlmacenaje )
    {
        $this->s_UnidadAlmacenaje = $s_UnidadAlmacenaje;
    }

    /* Obtiene el valor del campo UnidadAlmacenaje */
    public function getUnidadAlmacenaje()
    {
        return $this->s_UnidadAlmacenaje;
    }

    /* Establece el valor del campo UnidadEmbalaje */
    public function setUnidadEmbalaje( $s_UnidadEmbalaje )
    {
        $this->s_UnidadEmbalaje = $s_UnidadEmbalaje;
    }

    /* Obtiene el valor del campo UnidadEmbalaje */
    public function getUnidadEmbalaje()
    {
        return $this->s_UnidadEmbalaje;
    }

    /* Establece el valor del campo ClasificacionComercial */
    public function setClasificacionComercial( $s_ClasificacionComercial )
    {
        $this->s_ClasificacionComercial = $s_ClasificacionComercial;
    }

    /* Obtiene el valor del campo ClasificacionComercial */
    public function getClasificacionComercial()
    {
        return $this->s_ClasificacionComercial;
    }

    /* Establece el valor del campo CodigoBarras */
    public function setCodigoBarras( $s_CodigoBarras )
    {
        $this->s_CodigoBarras = $s_CodigoBarras;
    }

    /* Obtiene el valor del campo CodigoBarras */
    public function getCodigoBarras()
    {
        return $this->s_CodigoBarras;
    }

    /* Establece el valor del campo CodigoBarrasFabricante */
    public function setCodigoBarrasFabricante( $s_CodigoBarrasFabricante )
    {
        $this->s_CodigoBarrasFabricante = $s_CodigoBarrasFabricante;
    }

    /* Obtiene el valor del campo CodigoBarrasFabricante */
    public function getCodigoBarrasFabricante()
    {
        return $this->s_CodigoBarrasFabricante;
    }

    /* Establece el valor del campo CodigoBarras2 */
    public function setCodigoBarras2( $s_CodigoBarras2 )
    {
        $this->s_CodigoBarras2 = $s_CodigoBarras2;
    }

    /* Obtiene el valor del campo CodigoBarras2 */
    public function getCodigoBarras2()
    {
        return $this->s_CodigoBarras2;
    }

    /* Establece el valor del campo MonedaCodigo */
    public function setMonedaCodigo( $s_MonedaCodigo )
    {
        $this->s_MonedaCodigo = $s_MonedaCodigo;
    }

    /* Obtiene el valor del campo MonedaCodigo */
    public function getMonedaCodigo()
    {
        return $this->s_MonedaCodigo;
    }

    /* Establece el valor del campo PrecioCosto */
    public function setPrecioCosto( $f_PrecioCosto )
    {
        $this->f_PrecioCosto = $f_PrecioCosto;
    }

    /* Obtiene el valor del campo PrecioCosto */
    public function getPrecioCosto()
    {
        return $this->f_PrecioCosto;
    }

    /* Establece el valor del campo PrecioVenta */
    public function setPrecioVenta( $f_PrecioVenta )
    {
        $this->f_PrecioVenta = $f_PrecioVenta;
    }

    /* Obtiene el valor del campo PrecioVenta */
    public function getPrecioVenta()
    {
        return $this->f_PrecioVenta;
    }

    /* Establece el valor del campo UtilidadPorcentaje */
    public function setUtilidadPorcentaje( $f_UtilidadPorcentaje )
    {
        $this->f_UtilidadPorcentaje = $f_UtilidadPorcentaje;
    }

    /* Obtiene el valor del campo UtilidadPorcentaje */
    public function getUtilidadPorcentaje()
    {
        return $this->f_UtilidadPorcentaje;
    }

    /* Establece el valor del campo PrecioUnitarioLocal */
    public function setPrecioUnitarioLocal( $f_PrecioUnitarioLocal )
    {
        $this->f_PrecioUnitarioLocal = $f_PrecioUnitarioLocal;
    }

    /* Obtiene el valor del campo PrecioUnitarioLocal */
    public function getPrecioUnitarioLocal()
    {
        return $this->f_PrecioUnitarioLocal;
    }

    /* Establece el valor del campo PrecioUnitarioDolares */
    public function setPrecioUnitarioDolares( $f_PrecioUnitarioDolares )
    {
        $this->f_PrecioUnitarioDolares = $f_PrecioUnitarioDolares;
    }

    /* Obtiene el valor del campo PrecioUnitarioDolares */
    public function getPrecioUnitarioDolares()
    {
        return $this->f_PrecioUnitarioDolares;
    }

    /* Establece el valor del campo DisponibleVentaFlag */
    public function setDisponibleVentaFlag( $s_DisponibleVentaFlag )
    {
        $this->s_DisponibleVentaFlag = $s_DisponibleVentaFlag;
    }

    /* Obtiene el valor del campo DisponibleVentaFlag */
    public function getDisponibleVentaFlag()
    {
        return $this->s_DisponibleVentaFlag;
    }

    /* Establece el valor del campo ManejoxLoteFlag */
    public function setManejoxLoteFlag( $s_ManejoxLoteFlag )
    {
        $this->s_ManejoxLoteFlag = $s_ManejoxLoteFlag;
    }

    /* Obtiene el valor del campo ManejoxLoteFlag */
    public function getManejoxLoteFlag()
    {
        return $this->s_ManejoxLoteFlag;
    }

    /* Establece el valor del campo ManejoxSerieFlag */
    public function setManejoxSerieFlag( $s_ManejoxSerieFlag )
    {
        $this->s_ManejoxSerieFlag = $s_ManejoxSerieFlag;
    }

    /* Obtiene el valor del campo ManejoxSerieFlag */
    public function getManejoxSerieFlag()
    {
        return $this->s_ManejoxSerieFlag;
    }

    /* Establece el valor del campo ManejoxUnidadFlag */
    public function setManejoxUnidadFlag( $s_ManejoxUnidadFlag )
    {
        $this->s_ManejoxUnidadFlag = $s_ManejoxUnidadFlag;
    }

    /* Obtiene el valor del campo ManejoxUnidadFlag */
    public function getManejoxUnidadFlag()
    {
        return $this->s_ManejoxUnidadFlag;
    }

    /* Establece el valor del campo NoAfectoImpuestoVentasFlag */
    public function setNoAfectoImpuestoVentasFlag( $s_NoAfectoImpuestoVentasFlag )
    {
        $this->s_NoAfectoImpuestoVentasFlag = $s_NoAfectoImpuestoVentasFlag;
    }

    /* Obtiene el valor del campo NoAfectoImpuestoVentasFlag */
    public function getNoAfectoImpuestoVentasFlag()
    {
        return $this->s_NoAfectoImpuestoVentasFlag;
    }

    /* Establece el valor del campo DisponibleTransferenciaFlag */
    public function setDisponibleTransferenciaFlag( $s_DisponibleTransferenciaFlag )
    {
        $this->s_DisponibleTransferenciaFlag = $s_DisponibleTransferenciaFlag;
    }

    /* Obtiene el valor del campo DisponibleTransferenciaFlag */
    public function getDisponibleTransferenciaFlag()
    {
        return $this->s_DisponibleTransferenciaFlag;
    }

    /* Establece el valor del campo StockMinimo */
    public function setStockMinimo( $f_StockMinimo )
    {
        $this->f_StockMinimo = $f_StockMinimo;
    }

    /* Obtiene el valor del campo StockMinimo */
    public function getStockMinimo()
    {
        return $this->f_StockMinimo;
    }

    /* Establece el valor del campo StockMaximo */
    public function setStockMaximo( $f_StockMaximo )
    {
        $this->f_StockMaximo = $f_StockMaximo;
    }

    /* Obtiene el valor del campo StockMaximo */
    public function getStockMaximo()
    {
        return $this->f_StockMaximo;
    }

    /* Establece el valor del campo StockMinFlag */
    public function setStockMinFlag( $s_StockMinFlag )
    {
        $this->s_StockMinFlag = $s_StockMinFlag;
    }

    /* Obtiene el valor del campo StockMinFlag */
    public function getStockMinFlag()
    {
        return $this->s_StockMinFlag;
    }

    /* Establece el valor del campo LotedeVenta */
    public function setLotedeVenta( $i_LotedeVenta )
    {
        $this->i_LotedeVenta = $i_LotedeVenta;
    }

    /* Obtiene el valor del campo LotedeVenta */
    public function getLotedeVenta()
    {
        return $this->i_LotedeVenta;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo NombreArchivo */
    public function setNombreArchivo( $s_NombreArchivo )
    {
        $this->s_NombreArchivo = $s_NombreArchivo;
    }

    /* Obtiene el valor del campo NombreArchivo */
    public function getNombreArchivo()
    {
        return $this->s_NombreArchivo;
    }

    /* Establece el valor del campo UbicacionURL */
    public function setUbicacionURL( $s_UbicacionURL )
    {
        $this->s_UbicacionURL = $s_UbicacionURL;
    }

    /* Obtiene el valor del campo UbicacionURL */
    public function getUbicacionURL()
    {
        return $this->s_UbicacionURL;
    }

    /* Establece el valor del campo UbicacionFisica */
    public function setUbicacionFisica( $s_UbicacionFisica )
    {
        $this->s_UbicacionFisica = $s_UbicacionFisica;
    }

    /* Obtiene el valor del campo UbicacionFisica */
    public function getUbicacionFisica()
    {
        return $this->s_UbicacionFisica;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo IdLinea */
    public function setIdLinea( $i_IdLinea )
    {
        $this->i_IdLinea = $i_IdLinea;
    }

    /* Obtiene el valor del campo IdLinea */
    public function getIdLinea()
    {
        return $this->i_IdLinea;
    }

    /* Establece el valor del campo IdFamilia */
    public function setIdFamilia( $i_IdFamilia )
    {
        $this->i_IdFamilia = $i_IdFamilia;
    }

    /* Obtiene el valor del campo IdFamilia */
    public function getIdFamilia()
    {
        return $this->i_IdFamilia;
    }

    /* Establece el valor del campo IdSubFamilia */
    public function setIdSubFamilia( $i_IdSubFamilia )
    {
        $this->i_IdSubFamilia = $i_IdSubFamilia;
    }

    /* Obtiene el valor del campo IdSubFamilia */
    public function getIdSubFamilia()
    {
        return $this->i_IdSubFamilia;
    }

    /* Establece el valor del campo IdProcedencia */
    public function setIdProcedencia( $s_IdProcedencia )
    {
        $this->s_IdProcedencia = $s_IdProcedencia;
    }

    /* Obtiene el valor del campo IdProcedencia */
    public function getIdProcedencia()
    {
        return $this->s_IdProcedencia;
    }

    /* Establece el valor del campo TipoGarantiaId */
    public function setTipoGarantiaId( $s_TipoGarantiaId )
    {
        $this->s_TipoGarantiaId = $s_TipoGarantiaId;
    }

    /* Obtiene el valor del campo TipoGarantiaId */
    public function getTipoGarantiaId()
    {
        return $this->s_TipoGarantiaId;
    }

    /* Establece el valor del campo IdTipoOperatividad */
    public function setIdTipoOperatividad( $s_IdTipoOperatividad )
    {
        $this->s_IdTipoOperatividad = $s_IdTipoOperatividad;
    }

    /* Obtiene el valor del campo IdTipoOperatividad */
    public function getIdTipoOperatividad()
    {
        return $this->s_IdTipoOperatividad;
    }

    /* Establece el valor del campo PesoGramos */
    public function setPesoGramos( $f_PesoGramos )
    {
        $this->f_PesoGramos = $f_PesoGramos;
    }

    /* Obtiene el valor del campo PesoGramos */
    public function getPesoGramos()
    {
        return $this->f_PesoGramos;
    }

    /* Establece el valor del campo AfectoPercepcionIGVFlag */
    public function setAfectoPercepcionIGVFlag( $s_AfectoPercepcionIGVFlag )
    {
        $this->s_AfectoPercepcionIGVFlag = $s_AfectoPercepcionIGVFlag;
    }

    /* Obtiene el valor del campo AfectoPercepcionIGVFlag */
    public function getAfectoPercepcionIGVFlag()
    {
        return $this->s_AfectoPercepcionIGVFlag;
    }

    /* Establece el valor del campo AfectoDetraccionFlag */
    public function setAfectoDetraccionFlag( $s_AfectoDetraccionFlag )
    {
        $this->s_AfectoDetraccionFlag = $s_AfectoDetraccionFlag;
    }

    /* Obtiene el valor del campo AfectoDetraccionFlag */
    public function getAfectoDetraccionFlag()
    {
        return $this->s_AfectoDetraccionFlag;
    }

    /* Establece el valor del campo IdDetraccion */
    public function setIdDetraccion( $i_IdDetraccion )
    {
        $this->i_IdDetraccion = $i_IdDetraccion;
    }

    /* Obtiene el valor del campo IdDetraccion */
    public function getIdDetraccion()
    {
        return $this->i_IdDetraccion;
    }

    /* Establece el valor del campo IdPersona */
    public function setIdPersona( $i_IdPersona )
    {
        $this->i_IdPersona = $i_IdPersona;
    }

    /* Obtiene el valor del campo IdPersona */
    public function getIdPersona()
    {
        return $this->i_IdPersona;
    }

    /* Establece el valor del campo CantidadUnidad */
    public function setCantidadUnidad( $f_CantidadUnidad )
    {
        $this->f_CantidadUnidad = $f_CantidadUnidad;
    }

    /* Obtiene el valor del campo CantidadUnidad */
    public function getCantidadUnidad()
    {
        return $this->f_CantidadUnidad;
    }

    /* Establece el valor del campo CantidadUnidadCompra */
    public function setCantidadUnidadCompra( $f_CantidadUnidadCompra )
    {
        $this->f_CantidadUnidadCompra = $f_CantidadUnidadCompra;
    }

    /* Obtiene el valor del campo CantidadUnidadCompra */
    public function getCantidadUnidadCompra()
    {
        return $this->f_CantidadUnidadCompra;
    }

    /* Establece el valor del campo DescripcionLarga */
    public function setDescripcionLarga( $u_DescripcionLarga )
    {
        $this->u_DescripcionLarga = $u_DescripcionLarga;
    }

    /* Obtiene el valor del campo DescripcionLarga */
    public function getDescripcionLarga()
    {
        return $this->u_DescripcionLarga;
    }

    /* Establece el valor del campo EsInventariableFlag */
    public function setEsInventariableFlag( $s_EsInventariableFlag )
    {
        $this->s_EsInventariableFlag = $s_EsInventariableFlag;
    }

    /* Obtiene el valor del campo EsInventariableFlag */
    public function getEsInventariableFlag()
    {
        return $this->s_EsInventariableFlag;
    }

    /* Establece el valor del campo FusionarLoteFlag */
    public function setFusionarLoteFlag( $s_FusionarLoteFlag )
    {
        $this->s_FusionarLoteFlag = $s_FusionarLoteFlag;
    }

    /* Obtiene el valor del campo FusionarLoteFlag */
    public function getFusionarLoteFlag()
    {
        return $this->s_FusionarLoteFlag;
    }

    /* Establece el valor del campo EsServicioConDias */
    public function setEsServicioConDias( $s_EsServicioConDias )
    {
        $this->s_EsServicioConDias = $s_EsServicioConDias;
    }

    /* Obtiene el valor del campo EsServicioConDias */
    public function getEsServicioConDias()
    {
        return $this->s_EsServicioConDias;
    }

    /* Establece el valor del campo UsarDisponibleStock */
    public function setUsarDisponibleStock( $s_UsarDisponibleStock )
    {
        $this->s_UsarDisponibleStock = $s_UsarDisponibleStock;
    }

    /* Obtiene el valor del campo UsarDisponibleStock */
    public function getUsarDisponibleStock()
    {
        return $this->s_UsarDisponibleStock;
    }

    /* Establece el valor del campo UsarResevableStock */
    public function setUsarResevableStock( $s_UsarResevableStock )
    {
        $this->s_UsarResevableStock = $s_UsarResevableStock;
    }

    /* Obtiene el valor del campo UsarResevableStock */
    public function getUsarResevableStock()
    {
        return $this->s_UsarResevableStock;
    }

    /* Establece el valor del campo EsParaVenta */
    public function setEsParaVenta( $s_EsParaVenta )
    {
        $this->s_EsParaVenta = $s_EsParaVenta;
    }

    /* Obtiene el valor del campo EsParaVenta */
    public function getEsParaVenta()
    {
        return $this->s_EsParaVenta;
    }

    /* Establece el valor del campo IdRangoVenta */
    public function setIdRangoVenta( $i_IdRangoVenta )
    {
        $this->i_IdRangoVenta = $i_IdRangoVenta;
    }

    /* Obtiene el valor del campo IdRangoVenta */
    public function getIdRangoVenta()
    {
        return $this->i_IdRangoVenta;
    }

    /* Establece el valor del campo EsParaAlquiler */
    public function setEsParaAlquiler( $s_EsParaAlquiler )
    {
        $this->s_EsParaAlquiler = $s_EsParaAlquiler;
    }

    /* Obtiene el valor del campo EsParaAlquiler */
    public function getEsParaAlquiler()
    {
        return $this->s_EsParaAlquiler;
    }

    /* Establece el valor del campo IdRangoAlquiler */
    public function setIdRangoAlquiler( $i_IdRangoAlquiler )
    {
        $this->i_IdRangoAlquiler = $i_IdRangoAlquiler;
    }

    /* Obtiene el valor del campo IdRangoAlquiler */
    public function getIdRangoAlquiler()
    {
        return $this->i_IdRangoAlquiler;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdItem' => $this->getIdItem(),
            'IdMarca' => $this->getIdMarca(),
            'IdItemTipo' => $this->getIdItemTipo(),
            'DescripcionIngles' => $this->getDescripcionIngles(),
            'DescripcionCompleta' => $this->getDescripcionCompleta(),
            'NumeroDeParte' => $this->getNumeroDeParte(),
            'CodigoInterno' => $this->getCodigoInterno(),
            'IdItemFiscal' => $this->getIdItemFiscal(),
            'CodigoSunat' => $this->getCodigoSunat(),
            'UnidadCodigo' => $this->getUnidadCodigo(),
            'UnidadCompra' => $this->getUnidadCompra(),
            'UnidadVenta' => $this->getUnidadVenta(),
            'UnidadAlmacenaje' => $this->getUnidadAlmacenaje(),
            'UnidadEmbalaje' => $this->getUnidadEmbalaje(),
            'ClasificacionComercial' => $this->getClasificacionComercial(),
            'CodigoBarras' => $this->getCodigoBarras(),
            'CodigoBarrasFabricante' => $this->getCodigoBarrasFabricante(),
            'CodigoBarras2' => $this->getCodigoBarras2(),
            'MonedaCodigo' => $this->getMonedaCodigo(),
            'PrecioCosto' => $this->getPrecioCosto(),
            'PrecioVenta' => $this->getPrecioVenta(),
            'UtilidadPorcentaje' => $this->getUtilidadPorcentaje(),
            'PrecioUnitarioLocal' => $this->getPrecioUnitarioLocal(),
            'PrecioUnitarioDolares' => $this->getPrecioUnitarioDolares(),
            'DisponibleVentaFlag' => $this->getDisponibleVentaFlag(),
            'ManejoxLoteFlag' => $this->getManejoxLoteFlag(),
            'ManejoxSerieFlag' => $this->getManejoxSerieFlag(),
            'ManejoxUnidadFlag' => $this->getManejoxUnidadFlag(),
            'NoAfectoImpuestoVentasFlag' => $this->getNoAfectoImpuestoVentasFlag(),
            'DisponibleTransferenciaFlag' => $this->getDisponibleTransferenciaFlag(),
            'StockMinimo' => $this->getStockMinimo(),
            'StockMaximo' => $this->getStockMaximo(),
            'StockMinFlag' => $this->getStockMinFlag(),
            'LotedeVenta' => $this->getLotedeVenta(),
            'Estado' => $this->getEstado(),
            'NombreArchivo' => $this->getNombreArchivo(),
            'UbicacionURL' => $this->getUbicacionURL(),
            'UbicacionFisica' => $this->getUbicacionFisica(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'IdLinea' => $this->getIdLinea(),
            'IdFamilia' => $this->getIdFamilia(),
            'IdSubFamilia' => $this->getIdSubFamilia(),
            'IdProcedencia' => $this->getIdProcedencia(),
            'TipoGarantiaId' => $this->getTipoGarantiaId(),
            'IdTipoOperatividad' => $this->getIdTipoOperatividad(),
            'PesoGramos' => $this->getPesoGramos(),
            'AfectoPercepcionIGVFlag' => $this->getAfectoPercepcionIGVFlag(),
            'AfectoDetraccionFlag' => $this->getAfectoDetraccionFlag(),
            'IdDetraccion' => $this->getIdDetraccion(),
            'IdPersona' => $this->getIdPersona(),
            'CantidadUnidad' => $this->getCantidadUnidad(),
            'CantidadUnidadCompra' => $this->getCantidadUnidadCompra(),
            'DescripcionLarga' => $this->getDescripcionLarga(),
            'EsInventariableFlag' => $this->getEsInventariableFlag(),
            'FusionarLoteFlag' => $this->getFusionarLoteFlag(),
            'EsServicioConDias' => $this->getEsServicioConDias(),
            'UsarDisponibleStock' => $this->getUsarDisponibleStock(),
            'UsarResevableStock' => $this->getUsarResevableStock(),
            'EsParaVenta' => $this->getEsParaVenta(),
            'IdRangoVenta' => $this->getIdRangoVenta(),
            'EsParaAlquiler' => $this->getEsParaAlquiler(),
            'IdRangoAlquiler' => $this->getIdRangoAlquiler(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_ItemMastBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_ItemMastRs )
    {
        $o_ALM_ItemMastBN = new ALM_ItemMastBN();
        $o_ALM_ItemMastBN->setIdItem( $o_ALM_ItemMastRs[ "IdItem" ] );
        $o_ALM_ItemMastBN->setIdMarca( $o_ALM_ItemMastRs[ "IdMarca" ] );
        $o_ALM_ItemMastBN->setIdItemTipo( $o_ALM_ItemMastRs[ "IdItemTipo" ] );
        $o_ALM_ItemMastBN->setDescripcionIngles( $o_ALM_ItemMastRs[ "DescripcionIngles" ] );
        $o_ALM_ItemMastBN->setDescripcionCompleta( $o_ALM_ItemMastRs[ "DescripcionCompleta" ] );
        $o_ALM_ItemMastBN->setNumeroDeParte( $o_ALM_ItemMastRs[ "NumeroDeParte" ] );
        $o_ALM_ItemMastBN->setCodigoInterno( $o_ALM_ItemMastRs[ "CodigoInterno" ] );
        $o_ALM_ItemMastBN->setIdItemFiscal( ( integer ) $o_ALM_ItemMastRs[ "IdItemFiscal" ] );
        $o_ALM_ItemMastBN->setCodigoSunat( $o_ALM_ItemMastRs[ "CodigoSunat" ] );
        $o_ALM_ItemMastBN->setUnidadCodigo( $o_ALM_ItemMastRs[ "UnidadCodigo" ] );
        $o_ALM_ItemMastBN->setUnidadCompra( $o_ALM_ItemMastRs[ "UnidadCompra" ] );
        $o_ALM_ItemMastBN->setUnidadVenta( $o_ALM_ItemMastRs[ "UnidadVenta" ] );
        $o_ALM_ItemMastBN->setUnidadAlmacenaje( $o_ALM_ItemMastRs[ "UnidadAlmacenaje" ] );
        $o_ALM_ItemMastBN->setUnidadEmbalaje( $o_ALM_ItemMastRs[ "UnidadEmbalaje" ] );
        $o_ALM_ItemMastBN->setClasificacionComercial( $o_ALM_ItemMastRs[ "ClasificacionComercial" ] );
        $o_ALM_ItemMastBN->setCodigoBarras( $o_ALM_ItemMastRs[ "CodigoBarras" ] );
        $o_ALM_ItemMastBN->setCodigoBarrasFabricante( $o_ALM_ItemMastRs[ "CodigoBarrasFabricante" ] );
        $o_ALM_ItemMastBN->setCodigoBarras2( $o_ALM_ItemMastRs[ "CodigoBarras2" ] );
        $o_ALM_ItemMastBN->setMonedaCodigo( $o_ALM_ItemMastRs[ "MonedaCodigo" ] );
        $o_ALM_ItemMastBN->setPrecioCosto( ( float ) $o_ALM_ItemMastRs[ "PrecioCosto" ] );
        $o_ALM_ItemMastBN->setPrecioVenta( ( float ) $o_ALM_ItemMastRs[ "PrecioVenta" ] );
        $o_ALM_ItemMastBN->setUtilidadPorcentaje( ( float ) $o_ALM_ItemMastRs[ "UtilidadPorcentaje" ] );
        $o_ALM_ItemMastBN->setPrecioUnitarioLocal( ( float ) $o_ALM_ItemMastRs[ "PrecioUnitarioLocal" ] );
        $o_ALM_ItemMastBN->setPrecioUnitarioDolares( ( float ) $o_ALM_ItemMastRs[ "PrecioUnitarioDolares" ] );
        $o_ALM_ItemMastBN->setDisponibleVentaFlag( $o_ALM_ItemMastRs[ "DisponibleVentaFlag" ] );
        $o_ALM_ItemMastBN->setManejoxLoteFlag( $o_ALM_ItemMastRs[ "ManejoxLoteFlag" ] );
        $o_ALM_ItemMastBN->setManejoxSerieFlag( $o_ALM_ItemMastRs[ "ManejoxSerieFlag" ] );
        $o_ALM_ItemMastBN->setManejoxUnidadFlag( $o_ALM_ItemMastRs[ "ManejoxUnidadFlag" ] );
        $o_ALM_ItemMastBN->setNoAfectoImpuestoVentasFlag( $o_ALM_ItemMastRs[ "NoAfectoImpuestoVentasFlag" ] );
        $o_ALM_ItemMastBN->setDisponibleTransferenciaFlag( $o_ALM_ItemMastRs[ "DisponibleTransferenciaFlag" ] );
        $o_ALM_ItemMastBN->setStockMinimo( ( float ) $o_ALM_ItemMastRs[ "StockMinimo" ] );
        $o_ALM_ItemMastBN->setStockMaximo( ( float ) $o_ALM_ItemMastRs[ "StockMaximo" ] );
        $o_ALM_ItemMastBN->setStockMinFlag( $o_ALM_ItemMastRs[ "StockMinFlag" ] );
        $o_ALM_ItemMastBN->setLotedeVenta( ( integer ) $o_ALM_ItemMastRs[ "LotedeVenta" ] );
        $o_ALM_ItemMastBN->setEstado( $o_ALM_ItemMastRs[ "Estado" ] );
        $o_ALM_ItemMastBN->setNombreArchivo( $o_ALM_ItemMastRs[ "NombreArchivo" ] );
        $o_ALM_ItemMastBN->setUbicacionURL( $o_ALM_ItemMastRs[ "UbicacionURL" ] );
        $o_ALM_ItemMastBN->setUbicacionFisica( $o_ALM_ItemMastRs[ "UbicacionFisica" ] );
        $o_ALM_ItemMastBN->setUsuarioCreacion( $o_ALM_ItemMastRs[ "UsuarioCreacion" ] );
        $o_ALM_ItemMastBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_ItemMastRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_ItemMastBN->setUsuarioModificacion( $o_ALM_ItemMastRs[ "UsuarioModificacion" ] );
        $o_ALM_ItemMastBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_ItemMastRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_ItemMastBN->setIdLinea( ( integer ) $o_ALM_ItemMastRs[ "IdLinea" ] );
        $o_ALM_ItemMastBN->setIdFamilia( ( integer ) $o_ALM_ItemMastRs[ "IdFamilia" ] );
        $o_ALM_ItemMastBN->setIdSubFamilia( ( integer ) $o_ALM_ItemMastRs[ "IdSubFamilia" ] );
        $o_ALM_ItemMastBN->setIdProcedencia( $o_ALM_ItemMastRs[ "IdProcedencia" ] );
        $o_ALM_ItemMastBN->setTipoGarantiaId( $o_ALM_ItemMastRs[ "TipoGarantiaId" ] );
        $o_ALM_ItemMastBN->setIdTipoOperatividad( $o_ALM_ItemMastRs[ "IdTipoOperatividad" ] );
        $o_ALM_ItemMastBN->setPesoGramos( ( float ) $o_ALM_ItemMastRs[ "PesoGramos" ] );
        $o_ALM_ItemMastBN->setAfectoPercepcionIGVFlag( $o_ALM_ItemMastRs[ "AfectoPercepcionIGVFlag" ] );
        $o_ALM_ItemMastBN->setAfectoDetraccionFlag( $o_ALM_ItemMastRs[ "AfectoDetraccionFlag" ] );
        $o_ALM_ItemMastBN->setIdDetraccion( ( integer ) $o_ALM_ItemMastRs[ "IdDetraccion" ] );
        $o_ALM_ItemMastBN->setIdPersona( ( integer ) $o_ALM_ItemMastRs[ "IdPersona" ] );
        $o_ALM_ItemMastBN->setCantidadUnidad( ( float ) $o_ALM_ItemMastRs[ "CantidadUnidad" ] );
        $o_ALM_ItemMastBN->setCantidadUnidadCompra( ( float ) $o_ALM_ItemMastRs[ "CantidadUnidadCompra" ] );
        $o_ALM_ItemMastBN->setDescripcionLarga( $o_ALM_ItemMastRs[ "DescripcionLarga" ] );
        $o_ALM_ItemMastBN->setEsInventariableFlag( $o_ALM_ItemMastRs[ "EsInventariableFlag" ] );
        $o_ALM_ItemMastBN->setFusionarLoteFlag( $o_ALM_ItemMastRs[ "FusionarLoteFlag" ] );
        $o_ALM_ItemMastBN->setEsServicioConDias( $o_ALM_ItemMastRs[ "EsServicioConDias" ] );
        $o_ALM_ItemMastBN->setUsarDisponibleStock( $o_ALM_ItemMastRs[ "UsarDisponibleStock" ] );
        $o_ALM_ItemMastBN->setUsarResevableStock( $o_ALM_ItemMastRs[ "UsarResevableStock" ] );
        $o_ALM_ItemMastBN->setEsParaVenta( $o_ALM_ItemMastRs[ "EsParaVenta" ] );
        $o_ALM_ItemMastBN->setIdRangoVenta( ( integer ) $o_ALM_ItemMastRs[ "IdRangoVenta" ] );
        $o_ALM_ItemMastBN->setEsParaAlquiler( $o_ALM_ItemMastRs[ "EsParaAlquiler" ] );
        $o_ALM_ItemMastBN->setIdRangoAlquiler( ( integer ) $o_ALM_ItemMastRs[ "IdRangoAlquiler" ] );
        return $o_ALM_ItemMastBN;
    }
}
?>